Bug 1731554 - multisite: radosgw-admin bucket sync status incorrectly reports "caught up" during full sync
Summary: multisite: radosgw-admin bucket sync status incorrectly reports "caught up" d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.1
Assignee: Casey Bodley
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks: 1727980
TreeView+ depends on / blocked
 
Reported: 2019-07-19 18:17 UTC by John Harrigan
Modified: 2020-05-19 17:31 UTC (History)
7 users (show)

Fixed In Version: ceph-14.2.8-3.el8, ceph-14.2.8-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-19 17:30:41 UTC
Target Upstream Version:
hyelloji: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40806 0 None None None 2019-07-19 18:18:44 UTC
Github ceph ceph pull 29094 0 'None' closed radosgw-admin: bucket sync status not 'caught up' during full sync 2020-10-02 11:25:33 UTC
Red Hat Product Errata RHSA-2020:2231 0 None None None 2020-05-19 17:31:02 UTC

Description John Harrigan 2019-07-19 18:17:26 UTC
Description of problem:
If no shards on incremental sync are behind, but some shards are still on full sync, the 'radosgw-admin bucket sync status' command should not report that the "bucket is caught up with source".

Version-Release number of selected component (if applicable):
RHCS 3.2z1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 8 errata-xmlrpc 2020-05-19 17:30:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231


Note You need to log in before you can comment on or make changes to this bug.